Categories with default ports, data types, semantic types, facts, the SDK index and a starter per category
GET
/v1/flow/catalogcurl -X GET 'https://api.embodiflow.io/v1/flow/catalog' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Responses
`data` is the `embodiflow-flow-catalog/v1` document. It does not depend on the team and changes only with a platform release.
- dataobjectrequired
- contractstringrequiredAllowed valuesembodiflow-flow-catalog/v1
- categoriesarray<CatalogCategory>required
- dataTypesarray<object>required
- semanticTypesarray<object>required
- factsarray<object>required
- sdkIndexobjectrequired
Response example
{
"data": {
"contract": "embodiflow-flow-catalog/v1",
"categories": [
{
"id": "export",
"title": "string",
"zh": "string",
"levels": "dataset",
"extraInputs": false,
"addChecks": false,
"workflowTypes": [
"string"
],
"ports": [
{
"level": "dataset",
"reads": "recording",
"inputs": [],
"outputs": []
}
],
"starters": [
{
"level": "dataset",
"reads": "recording",
"example": "string",
"title": {},
"purpose": {},
"source": "string"
}
]
}
],
"dataTypes": [
{
"id": "string",
"zh": "string",
"description": "string",
"layout": [
"string"
],
"contract": "string"
}
],
"semanticTypes": [
{
"id": "scalar",
"meaning": "string",
"shape": {
"kind": "fixed",
"length": 0
},
"pers": "frame",
"geometric": false,
"matchable": false
}
],
"facts": [
{
"id": "cameras",
"type": "string",
"knownFrom": "project",
"description": "string"
}
],
"sdkIndex": {
"contract": "embodiflow-sdk-index/v1",
"module": "string"
}
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1